Subject: bug#21738: 25.0.50; eww freezes/crashes at times

From: Kaushal Modi <[email-masked]>
Date: Fri, 23 Oct 2015 15:52:59 -0400

> You never told you didn't keep the session in GDB.  Each new backtrace
> is different, so the commands won't work in another session.

Sorry. I didn't know that earlier.

Also I don't know how to kill an emacs session frozen in gdb other
than doing Ctrl-d in gdb.

I needed to kill that eww-frozen emacs to provide another gdb bt for
freeze caused by opening png files.

I will now keep the frozen gdb session active.. which frame is
important for you to debug this?  I saw that #63 in the first attached
log had Fsignal (is that what you are looking for?)
> #63 0x00000000005f593e in Fsignal (error_symbol=48816, data=29334659) at eval.c:1506

I tried couple of times after that.. but those backtraces did not have
that Fsignal line.

/I used gdb for the first time yesterday.. and was excited to get that
backtrace. There's a lot to learn for me :)/